require "libmagellan/version"

module Libmagellan
  autoload :Core, "libmagellan/core"
  autoload :HTTP, "libmagellan/http"
  autoload :MQTT, "libmagellan/mqtt"


  class << self
    def new(*args, &block)
      Core.new(*args, &block)
    end
  end

  class InvalidResponse < StandardError
  end

end
